package repolist

import (
	"go.wit.com/log"
)

func RemoveFirstElement(slice []string) (string, []string) {
	if len(slice) == 0 {
		return "", slice // Return the original slice if it's empty
	}
	return slice[0], slice[1:] // Return the slice without the first element
}

func RepoType() {
	for _, repo := range me.allrepos {
		switch repo.Status.RepoType() {
		case "binary":
			//log.Info("compile here. Show()")
			repo.Show()
		case "library":
			//log.Info("library here. Hide()")
			repo.Hide()
		default:
			log.Info("showApps() unknown. Show()")
			repo.Hide()
		}

	}
}
